import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # Flexbox Column
 * @className twui-stack
 */
export default function Stack({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>) {
    return (
        <div
            {...props}
            className={twMerge(
                "flex flex-col items-start gap-4",
                "twui-stack",
                props.className
            )}
        >
            {props.children}
        </div>
    );
}
